org.eclipse.rdf4j.query.resultio.text.tsv

## Class SPARQLResultsTSVParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultParser
    - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVParser

- All Implemented Interfaces:
    QueryResultParser, TupleQueryResultParser
  Direct Known Subclasses:
    SPARQLStarResultsTSVParser

      public class SPARQLResultsTSVParser
      extends AbstractTupleQueryResultParser
      implements TupleQueryResultParser

  SPARQL Results TSV format parser.
  Author:
    Jeen Broekstra, Andrew Rucker Jones

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLResultsTSVParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SPARQLResultsTSVMappingStrategy` | `createMappingStrategy()`
    `TupleQueryResultFormat` | `getTupleQueryResultFormat()` Gets the query result format that this parser can parse.
    `void` | `parse(InputStream in)` Parses the data from the supplied InputStream.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultParser

      `getQueryResultFormat, parseQueryResult, setTupleQueryResultHandler`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.TupleQueryResultParser

      `setTupleQueryResultHandler`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getQueryResultFormat, getSupportedSettings, parseQueryResult, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Constructor Detail

    - #### SPARQLResultsTSVParser

          public SPARQLResultsTSVParser()

  - ### Method Detail

    - #### getTupleQueryResultFormat

          public TupleQueryResultFormat getTupleQueryResultFormat()

      Description copied from interface: `TupleQueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getTupleQueryResultFormat` in interface `TupleQueryResultParser`

    - #### parse

          public void parse(InputStream in)
                     throws QueryResultParseException,
                            TupleQueryResultHandlerException

      Description copied from interface: `TupleQueryResultParser`
      Parses the data from the supplied InputStream.
      Specified by:
        `parse` in interface `TupleQueryResultParser`
      Parameters:
        `in` - The InputStream from which to read the data.
      Throws:
        `QueryResultParseException` - If the parser has encountered an unrecoverable parse error.
        `TupleQueryResultHandlerException` - If the configured query result handler has encountered an unrecoverable error.

    - #### createMappingStrategy

          protected SPARQLResultsTSVMappingStrategy createMappingStrategy()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.